Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/inca.card	(revision 5004)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/inca.card	(revision 5005)
@@ -23,4 +23,21 @@
 emi_interp_time=1
 
+# Specify output frequency for output files 
+# File aerosols_from_inca will be systematically write in output with a monthly frequency - you cannot manage it from this card
+# for other files you can choose the frequency 1d (daily), 1mo (monthly), other (1ts, 5d, etc.) or NONE if to deactivate it
+# if you choose 1d the file will be store in CHM/Output/DA
+# if you choose 1mo the file will be store in CHM/Output/MO
+# if you choose another frequency, the file will be store in CHM/Output/DA by default
+output_frequency_chem=1d
+output_frequency_emi=1d
+output_frequency_species=1d
+output_frequency_forcage=1d
+output_frequency_aero=1d
+output_frequency_dep=1d
+output_frequency_washrate=NONE
+output_frequency_veget=NONE
+output_frequency_reacflux=NONE
+output_frequency_phtrate=NONE
+output_frequency_invariants=NONE
 
 [InitialStateFiles]
@@ -52,6 +69,5 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml, .) ,\
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER_daily.xml, file_def_inca_daily.xml ), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER_monthly.xml, file_def_inca_monthly.xml ), \
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER.xml, file_def_inca.xml ), \
     	(${MODIPSL}/bin/inca_${ResolAtm}_${OptMode}_${ConfChem}.dat, inca.dat)
 
@@ -62,21 +78,25 @@
 
 [OutputText]
-List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca_daily.xml,file_def_inca_monthly.xml)
+List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca.xml, inca_IDxml.out)
 
 [OutputFiles]
-List=	(inca1d_emi.nc         ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_emi.nc        ,    Post_1D_inca_emi   ),\
-	(inca1d_species.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_species.nc    ,   Post_1D_inca_species  ),\
-	(inca1d_dep.nc         ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_dep.nc        ,    NONE  ),\
-	(inca1d_aero.nc        ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_aero.nc       ,    Post_1D_inca_aero   ),\
+List=	(inca1d_emi.nc         ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_emi.nc        ,    NONE  ),\
+	(inca1d_species.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_species.nc    ,    Post_1D_inca_species  ),\
+	(inca1d_dep.nc        ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_dep.nc       ,    NONE  ),\
+	(inca1d_aero.nc        ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_aero.nc       ,    Post_1D_inca_aero  ),\
+	(inca1d_forcage.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_forcage.nc    ,    Post_1D_inca_forcage),\
 	(inca1d_invariants.nc  ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_invariants.nc ,    NONE  ),\
+	(inca1d_reacflux.nc    ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_reacflux.nc   ,    NONE  ),\
 	(inca1d_chem.nc        ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_chem.nc       ,    NONE  ),\
 	(inca1d_washrate.nc    ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_washrate.nc   ,    NONE  ),\
-	(inca1m_emi.nc         ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_emi.nc        ,    NONE  ),\
-	(inca1m_species.nc     ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_species.nc    ,    NONE  ),\
-	(inca1m_dep.nc         ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc        ,    NONE  ),\
-	(inca1m_aero.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero.nc       ,    NONE  ),\
-	(inca1m_invariants.nc  ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_invariants.nc ,    NONE  ),\
-	(inca1m_chem.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc       ,    NONE  ),\
-	(inca1m_washrate.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc   ,    NONE  ),\
+	(inca1mo_emi.nc         ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_emi.nc        ,    NONE  ),\
+	(inca1mo_species.nc     ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_species.nc    ,    NONE  ),\
+	(inca1mo_dep.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc       ,    NONE  ),\
+	(inca1mo_aero.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero.nc       ,    NONE  ),\
+	(inca1mo_forcage.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1M_inca_forcage.nc    ,    NONE  ),\
+	(inca1mo_invariants.nc  ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_invariants.nc ,    NONE  ),\
+	(inca1mo_reacflux.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_reacflux.nc   ,    NONE  ),\
+	(inca1mo_chem.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc       ,    NONE  ),\
+	(inca1mo_washrate.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc   ,    NONE  ),\
 	(aerosols_from_inca.nc   ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_aerosols_from_inca.nc,    NONE  )
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/inca.driver
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/inca.driver	(revision 5004)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/inca.driver	(revision 5005)
@@ -49,15 +49,4 @@
     echo LMDZ physics version : ${LMDZ_Physics}
 
-    enable1=.FALSE.
-    enable2=.FALSE.
-
-    for frequency in ${config_CHM_WriteFrequency} ; do
-	case ${frequency} in 
-	    1D|1d) enable1=.TRUE. ;;
-	esac
-	case ${frequency} in
-	    1M|1m) enable2=.TRUE. ;;
-	esac
-    done
 
 
@@ -71,26 +60,234 @@
     IGCM_debug_PushStack "CHM_Update"
 
-
+    if [ X${inca_UserChoices_output_frequency_chem} = X ] || [ X${inca_UserChoices_output_frequency_chem} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry name inca1d_chem
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_chem} = X1d ] || [ X${inca_UserChoices_output_frequency_chem} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry name inca${inca_UserChoices_output_frequency_chem}_chem
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry output_freq ${inca_UserChoices_output_frequency_chem}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry name inca1d_chem
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry output_freq ${inca_UserChoices_output_frequency_chem}
+
+	fi
+    fi
+
+    if [ X${inca_UserChoices_output_frequency_emi} = X ] || [ X${inca_UserChoices_output_frequency_emi} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions name inca1d_emi
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_emi} = X1d ] || [ X${inca_UserChoices_output_frequency_emi} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions name inca${inca_UserChoices_output_frequency_emi}_emi
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions output_freq ${inca_UserChoices_output_frequency_emi}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions name inca1d_emi
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions output_freq ${inca_UserChoices_output_frequency_emi}
+	fi
+    fi
+
+
+    if [ X${inca_UserChoices_output_frequency_species} = X ] || [ X${inca_UserChoices_output_frequency_species} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species name inca1d_species
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_species} = X1d ] || [ X${inca_UserChoices_output_frequency_species} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species name inca${inca_UserChoices_output_frequency_species}_species
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species output_freq ${inca_UserChoices_output_frequency_species}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species name inca1d_species
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species output_freq ${inca_UserChoices_output_frequency_species}
+	fi
+    fi
+
+
+    if [ X${inca_UserChoices_output_frequency_forcage} = X ] || [ X${inca_UserChoices_output_frequency_forcage} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage name inca1d_forcage
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_forcage} = X1d ] || [ X${inca_UserChoices_output_frequency_forcage} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage name inca${inca_UserChoices_output_frequency_forcage}_forcage
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage output_freq ${inca_UserChoices_output_frequency_forcage}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage name inca1d_forcage
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage output_freq ${inca_UserChoices_output_frequency_forcage}
+	fi
+    fi
+
+
+    if [ X${inca_UserChoices_output_frequency_aero} = X ] || [ X${inca_UserChoices_output_frequency_aero} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero name inca1d_aero
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_aero} = X1d ] || [ X${inca_UserChoices_output_frequency_aero} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero name inca${inca_UserChoices_output_frequency_aero}_aero
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero output_freq ${inca_UserChoices_output_frequency_aero}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero name inca1d_aero
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero output_freq ${inca_UserChoices_output_frequency_aero}
+	fi
+    fi
+
+
+    if [ X${inca_UserChoices_output_frequency_dep} = X ] || [ X${inca_UserChoices_output_frequency_dep} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel name inca1d_dep
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_dep} = X1d ] || [ X${inca_UserChoices_output_frequency_dep} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel name inca${inca_UserChoices_output_frequency_dep}_dep
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel output_freq ${inca_UserChoices_output_frequency_dep}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel name inca1d_dep
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel output_freq ${inca_UserChoices_output_frequency_dep}
+	fi
+    fi
+
+    if [ X${inca_UserChoices_output_frequency_washrate} = X ] || [ X${inca_UserChoices_output_frequency_washrate} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout name inca1d_washrate
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_washrate} = X1d ] || [ X${inca_UserChoices_output_frequency_washrate} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout name inca${inca_UserChoices_output_frequency_washrate}_washrate
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout output_freq ${inca_UserChoices_output_frequency_washrate}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout name inca1d_washrate
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout output_freq ${inca_UserChoices_output_frequency_washrate}
+	fi
+    fi
+
+    if [ X${inca_UserChoices_output_frequency_veget} = X ] || [ X${inca_UserChoices_output_frequency_veget} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation name inca1d_veget
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_veget} = X1d ] || [ X${inca_UserChoices_output_frequency_veget} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation name inca${inca_UserChoices_output_frequency_veget}_veget
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation output_freq ${inca_UserChoices_output_frequency_veget}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation name inca1d_veget
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation output_freq ${inca_UserChoices_output_frequency_veget}
+	fi
+    fi
+
+
+    if [ X${inca_UserChoices_output_frequency_reacflux} = X ] || [ X${inca_UserChoices_output_frequency_reacflux} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux name inca1d_reacflux
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_reacflux} = X1d ] || [ X${inca_UserChoices_output_frequency_reacflux} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux name inca${inca_UserChoices_output_frequency_reacflux}_reacflux
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux output_freq ${inca_UserChoices_output_frequency_reacflux}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux name inca1d_reacflux
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux output_freq ${inca_UserChoices_output_frequency_reacflux}
+	fi
+    fi
+
+
+    if [ X${inca_UserChoices_output_frequency_phtrate} = X ] || [ X${inca_UserChoices_output_frequency_phtrate} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate name inca1d_phtrate
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_phtrate} = X1d ] || [ X${inca_UserChoices_output_frequency_phtrate} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate name inca${inca_UserChoices_output_frequency_phtrate}_phtrate
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate output_freq ${inca_UserChoices_output_frequency_phtrate}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate name inca1d_phtrate
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate output_freq ${inca_UserChoices_output_frequency_phtrate}
+	fi
+    fi
+
+    if [ X${inca_UserChoices_output_frequency_ges} = X ] || [ X${inca_UserChoices_output_frequency_ges} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges name inca1d_ges
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_ges} = X1d ] || [ X${inca_UserChoices_output_frequency_ges} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges name inca${inca_UserChoices_output_frequency_ges}_ges
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges output_freq ${inca_UserChoices_output_frequency_ges}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges name inca1d_ges
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges output_freq ${inca_UserChoices_output_frequency_ges}
+	fi
+    fi
+
+    if [ X${inca_UserChoices_output_frequency_invariants} = X ] || [ X${inca_UserChoices_output_frequency_invariants} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants name inca1d_invariants
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_invariants} = X1d ] || [ X${inca_UserChoices_output_frequency_invariants} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants name inca${inca_UserChoices_output_frequency_invariants}_invariants
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants output_freq ${inca_UserChoices_output_frequency_invariants}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants name inca1d_invariants
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants output_freq ${inca_UserChoices_output_frequency_invariants}
+	fi
+    fi
+
+    if [ X${inca_UserChoices_output_frequency_aero_chem} = X ] || [ X${inca_UserChoices_output_frequency_aero_chem} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem name inca1d_aero_chem
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_aero_chem} = X1d ] || [ X${inca_UserChoices_output_frequency_aero_chem} = X1mo ] || [ X${inca_UserChoices_output_frequency_aero_chem} = X1ts ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem name inca${inca_UserChoices_output_frequency_aero_chem}_aero_chem
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem output_freq ${inca_UserChoices_output_frequency_aero_chem}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem name inca1ts_aero_chem
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem output_freq ${inca_UserChoices_output_frequency_aero_chem}
+	fi
+    fi
 
     case ${CHEM} in 
 	AER)
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   forcage1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml forcage2     enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   aero1        enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml aero2        enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   chemistry1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml chemistry2   enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   emissions1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2   enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   species1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2     enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   dvel1        enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml dvel2        enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   washout1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml washout2     enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   reacflux1    enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml reacflux2    enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   invariants1  enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml invariants2  enabled ${enable2}
 
 	    if [ X${LMDZ_Physics} = X"AP" ] ; then
@@ -101,15 +298,4 @@
 	;;
 	DUSS)
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml forcage1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero1        enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml species1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml vegetation1  enabled ${enable1}
-
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml forcage2     enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml aero2        enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2   enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2     enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml vegetation2  enabled ${enable2}
 
 	    if [ X${LMDZ_Physics} = X"AP" ] ; then
@@ -120,42 +306,8 @@
 	;;
 	NMHC) 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml reacflux1    enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml species1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml chemistry1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml dvel1        enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml washout1     enabled ${enable1}
-
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml reacflux2  enabled ${enable2}  
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2 enabled ${enable2}  
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2   enabled ${enable2}  
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml chemistry2 enabled ${enable2}  
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml dvel2      enabled ${enable2}  
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml washout2   enabled ${enable2}  
 
 	    IGCM_comp_modifyDefFile nonblocker run.def config_inca chem
 	    ;;
 	NMHC_AER)
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml forcage1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero1        enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml species1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml chemistry1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml dvel1        enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml phtrate1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml washout1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml reacflux1    enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml vegetation1  enabled ${enable1}
-
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml forcage2    enabled ${enable2}  
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml aero2       enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2    enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml chemistry2  enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2  enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml dvel2       enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml phtrate2    enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml washout2    enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml reacflux2   enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml vegetation2 enabled ${enable2} 
 
 	    if [ X${LMDZ_Physics} = X"AP" ] ; then
@@ -167,25 +319,4 @@
 
 	NMHC_AER_S)
- 	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml forcage1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero1        enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml species1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml chemistry1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml dvel1        enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml phtrate1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml washout1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml reacflux1    enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml vegetation1  enabled ${enable1}
-
- 	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml forcage2    enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml aero2       enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2    enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml chemistry2  enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2  enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml phtrate2    enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml dvel2       enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml washout2    enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml reacflux2   enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml vegetation2 enabled ${enable2}  
 
 	    if [ X${LMDZ_Physics} = X"AP" ] ; then
@@ -196,7 +327,4 @@
 	;;
 	GES)
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1    enabled ${enable1}
-
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2    enabled ${enable2}
 
 	    IGCM_comp_modifyDefFile nonblocker run.def config_inca chem
@@ -211,22 +339,9 @@
     fi
 
-    if [  X${inca_UserChoices_10m_winds_method} = X ] ; then
-    IGCM_comp_modifyDefFile nonblocker inca.def  10m_winds_method  threshold
-    else
-    IGCM_comp_modifyDefFile nonblocker inca.def  10m_winds_method ${inca_UserChoices_10m_winds_method}
-    fi
-
 
     if [ ! X${inca_UserChoices_wind_parameter} = X ] ; then 
-	if [  X${inca_UserChoices_10m_winds_method} = Xthreshold ] ; then 
-	    IGCM_comp_modifyDefFile nonblocker inca.def  tref ${inca_UserChoices_wind_parameter}
-	    IGCM_comp_modifyDefFile nonblocker inca.def  kref DEFAULT
-	else
-	    IGCM_comp_modifyDefFile nonblocker inca.def  kref ${inca_UserChoices_wind_parameter}
-	    IGCM_comp_modifyDefFile nonblocker inca.def  tref DEFAULT
-	fi
-    else
-	    IGCM_comp_modifyDefFile nonblocker inca.def  kref DEFAULT
-	    IGCM_comp_modifyDefFile nonblocker inca.def  tref DEFAULT
+	IGCM_comp_modifyDefFile nonblocker inca.def  tref ${inca_UserChoices_wind_parameter}
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def  tref DEFAULT
     fi
 
@@ -288,19 +403,14 @@
     fi
 
-    #inca.def : choose output library 
-    if [  X${inca_UserChoices_XIOS} = Xy ] ; then
-	IGCM_comp_modifyDefFile nonblocker inca.def  XIOS_INCA_OK  y
-    else
-	IGCM_comp_modifyDefFile nonblocker inca.def  XIOS_INCA_OK n
-    fi
-
-    if [  X${inca_UserChoices_IOIPSL} = Xy ] ; then
-	IGCM_comp_modifyDefFile nonblocker inca.def  IOIPSL_INCA_OK  y
-    else
-	IGCM_comp_modifyDefFile nonblocker inca.def  IOIPSL_INCA_OK n
-    fi
-
-
-
+
+
+    #inca.def : choose which xml will be use (with group or no = cmip files) 
+    if [ X${inca_UserChoices_cmip_xml} = Xy ] ; then 
+	
+	IGCM_comp_modifyDefFile nonblocker inca.def  cmip_xml  y
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def  cmip_xml  n
+    fi
+	
 
 
@@ -308,9 +418,9 @@
     # In iodef.xml add on next line after "COMPONENT CONTEXT"
     #  <context id="inca" src="./context_inca.xml"/>
-	echo '<context id="inca" src="./context_inca.xml"/>' > add.tmp
-	cp iodef.xml iodef.xml.tmp
-	sed -e "/COMPONENT CONTEXT/r add.tmp" \
-	    iodef.xml.tmp > iodef.xml
-	rm iodef.xml.tmp add.tmp
+    echo '<context id="inca" src="./context_inca.xml"/>' > add.tmp
+    cp iodef.xml iodef.xml.tmp
+    sed -e "/COMPONENT CONTEXT/r add.tmp" \
+	iodef.xml.tmp > iodef.xml
+    rm iodef.xml.tmp add.tmp
 
 
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card	(revision 5004)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card	(revision 5005)
@@ -8,5 +8,4 @@
 #choose threshold (for 10m winds) parameter value
 wind_parameter=0.85
-freq_write_chem=86400
 # heat fluxes computed with feedback corresponding to 0 --> no aerosol effects, 1--> aerosol effects selected by ok_ade, ok_aie
 feedb=0
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 5004)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 5005)
@@ -42,19 +42,4 @@
 ok_cdnc=y
 
-# Set OutLevel to choose the level of output for LMDZ. 
-# OutLevel=low/medium/high
-OutLevel=low
-
-# COSP activation and choose of output frequency for COSP (monthly, daily, HF) = y/n
-LMDZ_COSP_OK=n
-LMDZ_COSP_monthly=n
-LMDZ_COSP_daily=n
-LMDZ_COSP_hf=n
-
-# Set NMC Outputs frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=n
-LMDZ_NMC_daily=n
-LMDZ_NMC_hf=n
-
 
 # Nugding : ok_guide=y/n
@@ -62,4 +47,24 @@
 ok_guide=n
 
+# Specify which output file to activate and at which output_level
+# Use an integer to specify the output level or NONE if to deactivate the file
+# output_level_filename=1     : activate the corresponding file with low output level
+# output_level_filename=10    : activate the corresponding file with high output level
+# output_level_filename=NONE  : the file will not be written
+output_level_histmth = 5
+output_level_histday = NONE
+output_level_histhf  = NONE
+output_level_histmthNMC = NONE
+output_level_histdayNMC = NONE
+output_level_histhfNMC  = NONE
+output_level_histstrataer = NONE
+output_level_histdaystrataer = NONE
+output_level_histstn      = NONE
+
+# Activate COSP in config.def and set corresponding output files
+LMDZ_COSP_OK=n
+output_level_histmthCOSP = NONE
+output_level_histdayCOSP = NONE
+output_level_histhfCOSP  = NONE
 
 [InitialStateFiles]
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/inca.card	(revision 5004)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/inca.card	(revision 5005)
@@ -22,4 +22,22 @@
 #be careful name of sflx file change with the choice of emi_interp_time ( no file / sflx_p2p.nc) 
 emi_interp_time=1
+
+# Specify output frequency for output files 
+# File aerosols_from_inca will be systematically write in output with a monthly frequency - you cannot manage it from this card
+# for other files you can choose the frequency 1d (daily), 1mo (monthly), other (1ts, 5d, etc.) or NONE if to deactivate it
+# if you choose 1d the file will be store in CHM/Output/DA
+# if you choose 1mo the file will be store in CHM/Output/MO
+# if you choose another frequency, the file will be store in CHM/Output/DA by default
+output_frequency_chem=1d
+output_frequency_emi=1d
+output_frequency_species=1d
+output_frequency_forcage=1d
+output_frequency_aero=1d
+output_frequency_dep=1d
+output_frequency_washrate=NONE
+output_frequency_veget=NONE
+output_frequency_reacflux=NONE
+output_frequency_phtrate=NONE
+output_frequency_invariants=NONE
 
 
@@ -51,6 +69,5 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml, file_def_inca_restart.xml ), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER_daily.xml, file_def_inca_daily.xml ), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER_monthly.xml, file_def_inca_monthly.xml ), \
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER.xml, file_def_inca.xml ), \
     	(${MODIPSL}/bin/inca_${ResolAtm}_${OptMode}_${ConfChem}.dat, inca.dat)
 
@@ -63,21 +80,25 @@
 
 [OutputText]
-List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca_daily.xml,file_def_inca_monthly.xml, inca_IDxml.out)
+List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca.xml, inca_IDxml.out)
 
 [OutputFiles]
 List=	(inca1d_emi.nc         ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_emi.nc        ,    NONE  ),\
-	(inca1d_species.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_species.nc    ,    NONE  ),\
-	(inca1d_dep.nc         ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_dep.nc        ,    NONE  ),\
-	(inca1d_aero.nc        ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_aero.nc       ,    NONE  ),\
+	(inca1d_species.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_species.nc    ,    Post_1D_inca_species  ),\
+	(inca1d_dep.nc        ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_dep.nc       ,    NONE  ),\
+	(inca1d_aero.nc        ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_aero.nc       ,    Post_1D_inca_aero  ),\
+	(inca1d_forcage.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_forcage.nc    ,    Post_1D_inca_forcage),\
 	(inca1d_invariants.nc  ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_invariants.nc ,    NONE  ),\
+	(inca1d_reacflux.nc    ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_reacflux.nc   ,    NONE  ),\
 	(inca1d_chem.nc        ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_chem.nc       ,    NONE  ),\
 	(inca1d_washrate.nc    ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_washrate.nc   ,    NONE  ),\
-	(inca1m_emi.nc         ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_emi.nc        ,    NONE  ),\
-	(inca1m_species.nc     ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_species.nc    ,    Post_1M_inca_species  ),\
-	(inca1m_dep.nc         ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc        ,    NONE  ),\
-	(inca1m_aero.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero.nc       ,    Post_1M_inca_aero  ),\
-	(inca1m_invariants.nc  ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_invariants.nc ,    NONE  ),\
-	(inca1m_chem.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc       ,    NONE  ),\
-	(inca1m_washrate.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc   ,    NONE  ),\
+	(inca1mo_emi.nc         ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_emi.nc        ,    NONE  ),\
+	(inca1mo_species.nc     ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_species.nc    ,    NONE  ),\
+	(inca1mo_dep.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc       ,    NONE  ),\
+	(inca1mo_aero.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero.nc       ,    NONE  ),\
+	(inca1mo_forcage.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1M_inca_forcage.nc    ,    NONE  ),\
+	(inca1mo_invariants.nc  ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_invariants.nc ,    NONE  ),\
+	(inca1mo_reacflux.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_reacflux.nc   ,    NONE  ),\
+	(inca1mo_chem.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc       ,    NONE  ),\
+	(inca1mo_washrate.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc   ,    NONE  ),\
 	(aerosols_from_inca.nc   ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_aerosols_from_inca.nc,    NONE  )
 
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/lmdz.card	(revision 5004)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/lmdz.card	(revision 5005)
@@ -35,22 +35,30 @@
 ByPass_hgardfou_mats=n
 
-# Set OutLevel to choose the level of output for LMDZ
-# OutLevel=low/medium/high
-OutLevel=low
-
-# Set COSP activation and output frequency (monthly, daily, HF) = y/n
-LMDZ_COSP_OK=n
-LMDZ_COSP_monthly=n
-LMDZ_COSP_daily=n
-LMDZ_COSP_hf=n
-
-# Set NMC output frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=n
-LMDZ_NMC_daily=n
-LMDZ_NMC_hf=n
 
 # Nugding : ok_guide=y/n
 # If ok_guide=y, add nudging files(u.nc, v.nc, hur.nc,...) in BoundaryFiles section below.
 ok_guide=n
+
+# Specify which output file to activate and at which output_level
+# Use an integer to specify the output level or NONE if to deactivate the file
+# output_level_filename=1     : activate the corresponding file with low output level
+# output_level_filename=10    : activate the corresponding file with high output level
+# output_level_filename=NONE  : the file will not be written
+output_level_histmth = 5
+output_level_histday = NONE
+output_level_histhf  = NONE
+output_level_histmthNMC = NONE
+output_level_histdayNMC = NONE
+output_level_histhfNMC  = NONE
+output_level_histstrataer = NONE
+output_level_histdaystrataer = NONE
+output_level_histstn      = NONE
+
+# Activate COSP in config.def and set corresponding output files
+LMDZ_COSP_OK=n
+output_level_histmthCOSP = NONE
+output_level_histdayCOSP = NONE
+output_level_histhfCOSP  = NONE
+
 
 [InitialStateFiles]
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/inca.card	(revision 5004)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/inca.card	(revision 5005)
@@ -22,4 +22,23 @@
 #be careful name of sflx file change with the choice of emi_interp_time ( no file / sflx_p2p.nc) 
 emi_interp_time=1
+
+# Specify output frequency for output files 
+# File aerosols_from_inca will be systematically write in output with a monthly frequency - you cannot manage it from this card
+# for other files you can choose the frequency 1d (daily), 1mo (monthly), other (1ts, 5d, etc.) or NONE if to deactivate it
+# if you choose 1d the file will be store in CHM/Output/DA
+# if you choose 1mo the file will be store in CHM/Output/MO
+# if you choose another frequency, the file will be store in CHM/Output/DA by default
+output_frequency_chem=1d
+output_frequency_emi=1d
+output_frequency_species=1d
+output_frequency_forcage=1d
+output_frequency_aero=1d
+output_frequency_dep=1d
+output_frequency_washrate=NONE
+output_frequency_veget=NONE
+output_frequency_reacflux=NONE
+output_frequency_phtrate=NONE
+output_frequency_invariants=NONE
+
 
 [InitialStateFiles]
@@ -51,6 +70,5 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml, file_def_inca_restart.xml ), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER_daily.xml, file_def_inca_daily.xml ), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER_monthly.xml, file_def_inca_monthly.xml ), \
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER.xml, file_def_inca.xml ), \
     	(${MODIPSL}/bin/inca_${ResolAtm}_${OptMode}_${ConfChem}.dat, inca.dat)
 
@@ -63,21 +81,25 @@
 
 [OutputText]
-List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca_daily.xml,file_def_inca_monthly.xml, inca_IDxml.out)
+List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca.xml, inca_IDxml.out)
 
 [OutputFiles]
 List=	(inca1d_emi.nc         ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_emi.nc        ,    NONE  ),\
-	(inca1d_species.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_species.nc    ,    NONE  ),\
-	(inca1d_dep.nc         ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_dep.nc        ,    NONE  ),\
-	(inca1d_aero.nc        ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_aero.nc       ,    NONE  ),\
+	(inca1d_species.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_species.nc    ,    Post_1D_inca_species  ),\
+	(inca1d_dep.nc        ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_dep.nc       ,    NONE  ),\
+	(inca1d_aero.nc        ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_aero.nc       ,    Post_1D_inca_aero  ),\
+	(inca1d_forcage.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_forcage.nc    ,    Post_1D_inca_forcage),\
 	(inca1d_invariants.nc  ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_invariants.nc ,    NONE  ),\
+	(inca1d_reacflux.nc    ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_reacflux.nc   ,    NONE  ),\
 	(inca1d_chem.nc        ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_chem.nc       ,    NONE  ),\
 	(inca1d_washrate.nc    ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_washrate.nc   ,    NONE  ),\
-	(inca1m_emi.nc         ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_emi.nc        ,    NONE  ),\
-	(inca1m_species.nc     ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_species.nc    ,    Post_1M_inca_species  ),\
-	(inca1m_dep.nc         ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc        ,    NONE  ),\
-	(inca1m_aero.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero.nc       ,    Post_1M_inca_aero  ),\
-	(inca1m_invariants.nc  ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_invariants.nc ,    NONE  ),\
-	(inca1m_chem.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc       ,    NONE  ),\
-	(inca1m_washrate.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc   ,    NONE  ),\
+	(inca1mo_emi.nc         ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_emi.nc        ,    NONE  ),\
+	(inca1mo_species.nc     ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_species.nc    ,    NONE  ),\
+	(inca1mo_dep.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc       ,    NONE  ),\
+	(inca1mo_aero.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero.nc       ,    NONE  ),\
+	(inca1mo_forcage.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1M_inca_forcage.nc    ,    NONE  ),\
+	(inca1mo_invariants.nc  ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_invariants.nc ,    NONE  ),\
+	(inca1mo_reacflux.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_reacflux.nc   ,    NONE  ),\
+	(inca1mo_chem.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc       ,    NONE  ),\
+	(inca1mo_washrate.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc   ,    NONE  ),\
 	(aerosols_from_inca.nc   ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_aerosols_from_inca.nc,    NONE  )
 
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/lmdz.card	(revision 5004)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/lmdz.card	(revision 5005)
@@ -33,22 +33,30 @@
 ByPass_hgardfou_mats=n
 
-# Set OutLevel to choose the level of output for LMDZ
-# OutLevel=low/medium/high
-OutLevel=low
-
-# Set COSP activation and output frequency (monthly, daily, HF) = y/n
-LMDZ_COSP_OK=n
-LMDZ_COSP_monthly=n
-LMDZ_COSP_daily=n
-LMDZ_COSP_hf=n
-
-# Set NMC output frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=n
-LMDZ_NMC_daily=n
-LMDZ_NMC_hf=n
 
 # Nugding : ok_guide=y/n
 # If ok_guide=y, add nudging files(u.nc, v.nc, hur.nc,...) in BoundaryFiles section below.
 ok_guide=n
+
+# Specify which output file to activate and at which output_level
+# Use an integer to specify the output level or NONE if to deactivate the file
+# output_level_filename=1     : activate the corresponding file with low output level
+# output_level_filename=10    : activate the corresponding file with high output level
+# output_level_filename=NONE  : the file will not be written
+output_level_histmth = 5
+output_level_histday = NONE
+output_level_histhf  = NONE
+output_level_histmthNMC = NONE
+output_level_histdayNMC = NONE
+output_level_histhfNMC  = NONE
+output_level_histstrataer = NONE
+output_level_histdaystrataer = NONE
+output_level_histstn      = NONE
+
+# Activate COSP in config.def and set corresponding output files
+LMDZ_COSP_OK=n
+output_level_histmthCOSP = NONE
+output_level_histdayCOSP = NONE
+output_level_histhfCOSP  = NONE
+
 
 [InitialStateFiles]
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card	(revision 5004)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card	(revision 5005)
@@ -42,24 +42,28 @@
 ok_cdnc=y
 
-# Set OutLevel to choose the level of output for LMDZ. 
-# OutLevel=low/medium/high
-OutLevel=low
-
-# COSP activation and choose of output frequency for COSP (monthly, daily, HF) = y/n
-LMDZ_COSP_OK=n
-LMDZ_COSP_monthly=n
-LMDZ_COSP_daily=n
-LMDZ_COSP_hf=n
-
-# Set NMC Outputs frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=n
-LMDZ_NMC_daily=n
-LMDZ_NMC_hf=n
-
-
 # Nugding : ok_guide=y/n
 # If ok_guide=y, add nudging files(u.nc, v.nc, hur.nc,...) in BoundaryFiles section below.
 ok_guide=n
 
+# Specify which output file to activate and at which output_level
+# Use an integer to specify the output level or NONE if to deactivate the file
+# output_level_filename=1     : activate the corresponding file with low output level
+# output_level_filename=10    : activate the corresponding file with high output level
+# output_level_filename=NONE  : the file will not be written
+output_level_histmth = 5
+output_level_histday = NONE
+output_level_histhf  = NONE
+output_level_histmthNMC = NONE
+output_level_histdayNMC = NONE
+output_level_histhfNMC  = NONE
+output_level_histstrataer = NONE
+output_level_histdaystrataer = NONE
+output_level_histstn      = NONE
+
+# Activate COSP in config.def and set corresponding output files
+LMDZ_COSP_OK=n
+output_level_histmthCOSP = NONE
+output_level_histdayCOSP = NONE
+output_level_histhfCOSP  = NONE
 
 [InitialStateFiles]
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card	(revision 5004)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card	(revision 5005)
@@ -43,19 +43,4 @@
 ok_cdnc=n
 
-# Set OutLevel to choose the level of output for LMDZ. 
-# OutLevel=low/medium/high
-OutLevel=low
-
-# COSP activation and choose of output frequency for COSP (monthly, daily, HF) = y/n
-LMDZ_COSP_OK=n
-LMDZ_COSP_monthly=n
-LMDZ_COSP_daily=n
-LMDZ_COSP_hf=n
-
-# Set NMC Outputs frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=n
-LMDZ_NMC_daily=n
-LMDZ_NMC_hf=n
-
 
 # Nugding : ok_guide=y/n
@@ -63,4 +48,25 @@
 ok_guide=n
 
+
+# Specify which output file to activate and at which output_level
+# Use an integer to specify the output level or NONE if to deactivate the file
+# output_level_filename=1     : activate the corresponding file with low output level
+# output_level_filename=10    : activate the corresponding file with high output level
+# output_level_filename=NONE  : the file will not be written
+output_level_histmth = 5
+output_level_histday = NONE
+output_level_histhf  = NONE
+output_level_histmthNMC = NONE
+output_level_histdayNMC = NONE
+output_level_histhfNMC  = NONE
+output_level_histstrataer = NONE
+output_level_histdaystrataer = NONE
+output_level_histstn      = NONE
+
+# Activate COSP in config.def and set corresponding output files
+LMDZ_COSP_OK=n
+output_level_histmthCOSP = NONE
+output_level_histdayCOSP = NONE
+output_level_histhfCOSP  = NONE
 
 [InitialStateFiles]
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card	(revision 5004)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card	(revision 5005)
@@ -42,19 +42,4 @@
 ok_cdnc=n
 
-# Set OutLevel to choose the level of output for LMDZ. 
-# OutLevel=low/medium/high
-OutLevel=low
-
-# COSP activation and choose of output frequency for COSP (monthly, daily, HF) = y/n
-LMDZ_COSP_OK=n
-LMDZ_COSP_monthly=n
-LMDZ_COSP_daily=n
-LMDZ_COSP_hf=n
-
-# Set NMC Outputs frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=n
-LMDZ_NMC_daily=n
-LMDZ_NMC_hf=n
-
 
 # Nugding : ok_guide=y/n
@@ -62,4 +47,25 @@
 ok_guide=n
 
+
+# Specify which output file to activate and at which output_level
+# Use an integer to specify the output level or NONE if to deactivate the file
+# output_level_filename=1     : activate the corresponding file with low output level
+# output_level_filename=10    : activate the corresponding file with high output level
+# output_level_filename=NONE  : the file will not be written
+output_level_histmth = 5
+output_level_histday = NONE
+output_level_histhf  = NONE
+output_level_histmthNMC = NONE
+output_level_histdayNMC = NONE
+output_level_histhfNMC  = NONE
+output_level_histstrataer = NONE
+output_level_histdaystrataer = NONE
+output_level_histstn      = NONE
+
+# Activate COSP in config.def and set corresponding output files
+LMDZ_COSP_OK=n
+output_level_histmthCOSP = NONE
+output_level_histdayCOSP = NONE
+output_level_histhfCOSP  = NONE
 
 [InitialStateFiles]
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 5004)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 5005)
@@ -43,23 +43,29 @@
 ok_cdnc=y
 
-# Set OutLevel to choose the level of output for LMDZ. 
-# OutLevel=low/medium/high
-OutLevel=low
-
-# COSP activation and choose of output frequency for COSP (monthly, daily, HF) = y/n
-LMDZ_COSP_OK=n
-LMDZ_COSP_monthly=n
-LMDZ_COSP_daily=n
-LMDZ_COSP_hf=n
-
-# Set NMC Outputs frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=n
-LMDZ_NMC_daily=n
-LMDZ_NMC_hf=n
-
 
 # Nugding : ok_guide=y/n
 # If ok_guide=y, add nudging files(u.nc, v.nc, hur.nc,...) in BoundaryFiles section below.
 ok_guide=n
+
+# Specify which output file to activate and at which output_level
+# Use an integer to specify the output level or NONE if to deactivate the file
+# output_level_filename=1     : activate the corresponding file with low output level
+# output_level_filename=10    : activate the corresponding file with high output level
+# output_level_filename=NONE  : the file will not be written
+output_level_histmth = 5
+output_level_histday = NONE
+output_level_histhf  = NONE
+output_level_histmthNMC = NONE
+output_level_histdayNMC = NONE
+output_level_histhfNMC  = NONE
+output_level_histstrataer = NONE
+output_level_histdaystrataer = NONE
+output_level_histstn      = NONE
+
+# Activate COSP in config.def and set corresponding output files
+LMDZ_COSP_OK=n
+output_level_histmthCOSP = NONE
+output_level_histdayCOSP = NONE
+output_level_histhfCOSP  = NONE
 
 
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card	(revision 5004)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card	(revision 5005)
@@ -44,19 +44,4 @@
 ok_cdnc=y
 
-# Set OutLevel to choose the level of output for LMDZ. 
-# OutLevel=low/medium/high
-OutLevel=low
-
-# COSP activation and choose of output frequency for COSP (monthly, daily, HF) = y/n
-LMDZ_COSP_OK=n
-LMDZ_COSP_monthly=n
-LMDZ_COSP_daily=n
-LMDZ_COSP_hf=n
-
-# Set NMC Outputs frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=n
-LMDZ_NMC_daily=n
-LMDZ_NMC_hf=n
-
 
 # Nugding : ok_guide=y/n
@@ -64,4 +49,24 @@
 ok_guide=n
 
+# Specify which output file to activate and at which output_level
+# Use an integer to specify the output level or NONE if to deactivate the file
+# output_level_filename=1     : activate the corresponding file with low output level
+# output_level_filename=10    : activate the corresponding file with high output level
+# output_level_filename=NONE  : the file will not be written
+output_level_histmth = 5
+output_level_histday = NONE
+output_level_histhf  = NONE
+output_level_histmthNMC = NONE
+output_level_histdayNMC = NONE
+output_level_histhfNMC  = NONE
+output_level_histstrataer = NONE
+output_level_histdaystrataer = NONE
+output_level_histstn      = NONE
+
+# Activate COSP in config.def and set corresponding output files
+LMDZ_COSP_OK=n
+output_level_histmthCOSP = NONE
+output_level_histdayCOSP = NONE
+output_level_histhfCOSP  = NONE
 
 [InitialStateFiles]
